Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1481627

Summary: Unable to move and resize Wayland windows with Wacom pen after any of the pen's buttons used
Product: [Fedora] Fedora Reporter: Nikita Goncharuk <nmg921>
Component: waylandAssignee: Adam Jackson <ajax>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 26CC: ajax, bperkins
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-05-29 12:25:07 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1277927    

Description Nikita Goncharuk 2017-08-15 08:57:34 UTC
Description of problem:
After start of GNOME Wayland session any window can be resized or moved around with a pointer of a tip of a Wacom pen. But if any of buttons of the pen are used (Lower button for right click and Top button for middle click by default) The pointer stops to change into resize pointer if moved to the edge of a Wayland window and resizing and moving of Wayland windows with the Wacom pointer becomes no longer possible until session restart (logout and login).
XWayland windows seems to be not affected.

How reproducible:
Wacom tablet is needed to reproduce.
Wayland only.
Reproduces only with native Wayland apps. (Nautilus, Gedit, etc)
Correct behaviour of window resizing seems to persist only between start of GNOME Wayland session and first click on any of buttons on the Wacom pen.


Steps to Reproduce:
1.Click with any button on wacom pen inside any Wayland app's window (e.g. to open context menu)
2.try to resize or move the window with the pen. 

Actual results:
Window neither resizes nor moves with pen's pointer. All other Wayland windows do not either.

Expected results:
Windows keep to be resizeble and movable with the pen.

Comment 1 Fedora End Of Life 2018-05-03 08:05:43 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2018-05-29 12:25:07 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.